# Search

## Make a search

<mark style="color:green;">`GET`</mark>`https://app.gem-books.com/api/RESOURCE_ENDPOINT?search=SEARCH_WORD`

This endpoint allows you to create a search call for an endpoint.

#### Notes

* ***Search results are limited to 100***

#### Headers

| Name           | Type   | Description                   |
| -------------- | ------ | ----------------------------- |
| Authentication | string | Bearer token.                 |
| Content-Type   | string | Should be `application/json`. |
| Accept         | string | Should be `application/json`. |

#### Request Body

Example of request body for an endpoint

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| search | string | search word |

{% tabs %}
{% tab title="200 " %}

```json
{
     "data": [
        {
            "id": "24",
            "code": "700",
            "status": "1",
            "name_fr": "NEW TIRES",
            "category_type": "3",
            "name_en": null,
            "category_name": "Tires",
            "previous_ID": "0",
            "next_ID": "0",
            "img_paths": "",
            "system_id": 99832
        },
        {
            "id": "77",
            "code": "513",
            "status": "1",
            "name_fr": "TIRES AND WHEELS",
            "category_type": "1",
            "name_en": null,
            "category_name": "default_parts",
            "previous_ID": "0",
            "next_ID": "0",
            "img_paths": "",
            "system_id": 99832
        }
    ],
    "meta": {
        "current_page": 1,
        "last_page": 0,
        "per_page": 100,
        "total": 0
    },
    "success": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gem-suite.com/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
